<div class="card">
    <div class="card-header h6">Part 3. PCI DSS Validation (Continued)</div>
    <div class="card m-4">
        <div class="card-header h6"><b>Part 3a. Acknowledgement of Status</b></div>
        <div class="card-block pb-1 ml-3 small"><b>Signatory(s) confirms:</b></div>
        <div class="pl-5">
            <a class="small" (click)="selectAll()"><b>(Check all that apply)</b></a>

            <form #ackStatusForm="ngForm">

                <div class="d-table mb-5 mt-2 ml-1">
                    <div class="form-group">
                        <div class="form-check pr-5" *ngFor="let statement of statements; let i = index;">
                            <label class="form-check-label">
                                <input class="form-check-input styled form-control" name="{{i + 'statement'}}" type="checkbox"
                                       [checked]="statement.status" [ngModel]="statement.status" (change)="statement.status = !statement.status">
                                {{statement.statement}}
                            </label>
                        </div>
                    </div>
                </div>

            </form>

        </div>
    </div>
    <div class="row-md action-div">
        <jhi-button (click)="saveAndExit()" exit>Save & Exit</jhi-button>
        <jhi-button (click)="saveAndContinue()" continue>Save & Continue</jhi-button>
    </div>
    <div class="arrows mt-auto mb-4">
        <i (click)="back()" class="fa fa-4x fa-angle-left ml-4"></i>
        <i (click)="forward()" class="fa fa-4x fa-angle-right float-right mr-4"></i>
    </div>
</div>
